
//  Heratyskellosaie.java  (c) 2001 Kari Laitinen

//  2001-04-02 Tiedosto luotu.
//  2015-01-13 Nm kommentit listty.

import java.io.* ;

import java.util.Calendar ;
import java.util.GregorianCalendar ;

class  Heratyskellosaie extends Thread
{
   int  heratystunti ;
   int  heratysminuutti ;
   Piippaussaie  kellon_piippari ;

   Heratyskellosaie( int annettu_heratystunti,
                     int annettu_heratysminuutti,
                     Piippaussaie  annettu_piippari )
   {
      heratystunti     =  annettu_heratystunti ;
      heratysminuutti  =  annettu_heratysminuutti ;
      kellon_piippari  =  annettu_piippari ;
   }

   public void run()
   {
      int  nykyinen_tunti     =  99 ;
      int  nykyinen_minuutti  =  99 ;
      int  nykyinen_sekunti   =  99 ;

      while ( nykyinen_tunti    !=  heratystunti  ||
              nykyinen_minuutti !=  heratysminuutti )
      {
         GregorianCalendar  kalenteri_nyt  =  new  GregorianCalendar() ;

         nykyinen_tunti     =  kalenteri_nyt.get( Calendar.HOUR_OF_DAY ) ;
         nykyinen_minuutti  =  kalenteri_nyt.get( Calendar.MINUTE ) ;
         nykyinen_sekunti   =  kalenteri_nyt.get( Calendar.SECOND ) ;

         System.out.print( "\r " + nykyinen_tunti     + ":"
                                 + nykyinen_minuutti  + ":" 
                                 + nykyinen_sekunti   + "   " ) ;

         try
         {
            Thread.sleep( 1000 ) ;
         }
         catch ( InterruptedException vangittu_poikkeus )
         {
         }
      }         

      kellon_piippari.start() ;
   }
}




